/* $Id: linkunit.cpp 386 2008-08-16 18:39:44Z IMPOMEZIA $
 * IMPOMEZIA Simple Chat
 * Copyright © 2008 IMPOMEZIA (http://impomezia.net.ru)
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QtCore>

#include "linkunit.h"

/*!
 * \class LinkUnit
 * \brief Базовый класс хранящий информацию о сервере.
 * 
 * Хранит безопасный указатель на сервис \a DaemonService и адрес сервера.
 * \sa UserUnit
 */

/*!
 * \brief Конструктор класса LinkUnit.
 */
LinkUnit::LinkUnit(const QString &host, DaemonService *service)
{
  m_host = host;
  m_service = service;
}


/** [public]
 * 
 */
LinkUnit::~LinkUnit()
{
#ifdef SCHAT_DEBUG
  qDebug() << "LinkUnit::~LinkUnit()";
#endif
}
